/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// contains copies of the missing cvars and commands from WinQuake and GLQuake for purposes
// of soaking up abuse from mods that like to dance with the devil that is stuffcmd.
// any other compatibility soaks and suchlike should also go here...
#include "quakedef.h"

// register compatiblity cvars.  if these already exist as a real cvar they will be just ignored.
// if a real cvar is registered with the same name as a prior compatibility cvar the real cvar will stomp the compatibility cvar
cvar_t r_draworder_compat ("r_draworder", "0", CVAR_COMPAT);
cvar_t scr_screensize_compat ("screensize", "0", CVAR_COMPAT);
cvar_t chase_back_compat ("chase_back", "0", CVAR_COMPAT);
cvar_t chase_up_compat ("chase_up", "0", CVAR_COMPAT);
cvar_t chase_right_compat ("chase_right", "0", CVAR_COMPAT);
cvar_t chase_active_compat ("chase_active", "0", CVAR_COMPAT);
cvar_t cl_upspeed_compat ("cl_upspeed", "0", CVAR_COMPAT);
cvar_t cl_forwardspeed_compat ("cl_forwardspeed", "0", CVAR_COMPAT);
cvar_t cl_backspeed_compat ("cl_backspeed", "0", CVAR_COMPAT);
cvar_t cl_sidespeed_compat ("cl_sidespeed", "0", CVAR_COMPAT);
cvar_t cl_movespeedkey_compat ("cl_movespeedkey", "0", CVAR_COMPAT);
cvar_t cl_yawspeed_compat ("cl_yawspeed", "0", CVAR_COMPAT);
cvar_t cl_pitchspeed_compat ("cl_pitchspeed", "0", CVAR_COMPAT);
cvar_t cl_anglespeedkey_compat ("cl_anglespeedkey", "0", CVAR_COMPAT);
cvar_t cl_name_compat ("_cl_name", "0", CVAR_COMPAT);
cvar_t cl_color_compat ("_cl_color", "0", CVAR_COMPAT);
cvar_t cl_shownet_compat ("cl_shownet", "0", CVAR_COMPAT);
cvar_t cl_nolerp_compat ("cl_nolerp", "0", CVAR_COMPAT);
cvar_t lookspring_compat ("lookspring", "0", CVAR_COMPAT);
cvar_t lookstrafe_compat ("lookstrafe", "0", CVAR_COMPAT);
cvar_t sensitivity_compat ("sensitivity", "0", CVAR_COMPAT);
cvar_t m_pitch_compat ("m_pitch", "0", CVAR_COMPAT);
cvar_t m_yaw_compat ("m_yaw", "0", CVAR_COMPAT);
cvar_t m_forward_compat ("m_forward", "0", CVAR_COMPAT);
cvar_t m_side_compat ("m_side", "0", CVAR_COMPAT);
cvar_t registered_compat ("registered", "0", CVAR_COMPAT);
cvar_t cmdline_compat ("cmdline", "0", CVAR_COMPAT);
cvar_t con_notifytime_compat ("con_notifytime", "0", CVAR_COMPAT);
cvar_t d_subdiv16_compat ("d_subdiv16", "0", CVAR_COMPAT);
cvar_t d_mipcap_compat ("d_mipcap", "0", CVAR_COMPAT);
cvar_t d_mipscale_compat ("d_mipscale", "0", CVAR_COMPAT);
cvar_t gl_nobind_compat ("gl_nobind", "0", CVAR_COMPAT);
cvar_t gl_picmip_compat ("gl_picmip", "0", CVAR_COMPAT);
cvar_t gl_subdivide_size_compat ("gl_subdivide_size", "0", CVAR_COMPAT);
cvar_t r_norefresh_compat ("r_norefresh", "0", CVAR_COMPAT);
cvar_t r_drawentities_compat ("r_drawentities", "0", CVAR_COMPAT);
cvar_t r_drawviewmodel_compat ("r_drawviewmodel", "0", CVAR_COMPAT);
cvar_t r_speeds_compat ("r_speeds", "0", CVAR_COMPAT);
cvar_t r_fullbright_compat ("r_fullbright", "0", CVAR_COMPAT);
cvar_t r_lightmap_compat ("r_lightmap", "0", CVAR_COMPAT);
cvar_t r_shadows_compat ("r_shadows", "0", CVAR_COMPAT);
cvar_t r_mirroralpha_compat ("r_mirroralpha", "0", CVAR_COMPAT);
cvar_t r_wateralpha_compat ("r_wateralpha", "0", CVAR_COMPAT);
cvar_t r_dynamic_compat ("r_dynamic", "0", CVAR_COMPAT);
cvar_t r_novis_compat ("r_novis", "0", CVAR_COMPAT);
cvar_t gl_finish_compat ("gl_finish", "0", CVAR_COMPAT);
cvar_t gl_clear_compat ("gl_clear", "0", CVAR_COMPAT);
cvar_t gl_cull_compat ("gl_cull", "0", CVAR_COMPAT);
cvar_t gl_texsort_compat ("gl_texsort", "0", CVAR_COMPAT);
cvar_t gl_smoothmodels_compat ("gl_smoothmodels", "0", CVAR_COMPAT);
cvar_t gl_affinemodels_compat ("gl_affinemodels", "0", CVAR_COMPAT);
cvar_t gl_polyblend_compat ("gl_polyblend", "0", CVAR_COMPAT);
cvar_t gl_flashblend_compat ("gl_flashblend", "0", CVAR_COMPAT);
cvar_t gl_playermip_compat ("gl_playermip", "0", CVAR_COMPAT);
cvar_t gl_nocolors_compat ("gl_nocolors", "0", CVAR_COMPAT);
cvar_t gl_keeptjunctions_compat ("gl_keeptjunctions", "0", CVAR_COMPAT);
cvar_t gl_reporttjunctions_compat ("gl_reporttjunctions", "0", CVAR_COMPAT);
cvar_t gl_doubleeyes_compat ("gl_doubleeys", "0", CVAR_COMPAT);
cvar_t scr_viewsize_compat ("viewsize", "0", CVAR_COMPAT);
cvar_t scr_fov_compat ("fov", "0", CVAR_COMPAT);
cvar_t scr_conspeed_compat ("scr_conspeed", "0", CVAR_COMPAT);
cvar_t scr_centertime_compat ("scr_centertime", "0", CVAR_COMPAT);
cvar_t scr_showram_compat ("showram", "0", CVAR_COMPAT);
cvar_t scr_showturtle_compat ("showturtle", "0", CVAR_COMPAT);
cvar_t scr_showpause_compat ("showpause", "0", CVAR_COMPAT);
cvar_t scr_printspeed_compat ("scr_printspeed", "0", CVAR_COMPAT);
cvar_t gl_triplebuffer_compat ("gl_triplebuffer", "0", CVAR_COMPAT);
cvar_t gl_ztrick_compat ("gl_ztrick", "0", CVAR_COMPAT);
cvar_t vid_mode_compat ("vid_mode", "0", CVAR_COMPAT);
cvar_t _vid_default_mode_compat ("_vid_default_mode", "0", CVAR_COMPAT);
cvar_t _vid_default_mode_win_compat ("_vid_default_mode_win", "0", CVAR_COMPAT);
cvar_t vid_wait_compat ("vid_wait", "0", CVAR_COMPAT);
cvar_t vid_nopageflip_compat ("vid_nopageflip", "0", CVAR_COMPAT);
cvar_t _vid_wait_override_compat ("_vid_wait_override", "0", CVAR_COMPAT);
cvar_t vid_config_x_compat ("vid_config_x", "0", CVAR_COMPAT);
cvar_t vid_config_y_compat ("vid_config_y", "0", CVAR_COMPAT);
cvar_t _windowed_mouse_compat ("_windowed_mouse", "0", CVAR_COMPAT);
cvar_t host_framerate_compat ("host_framerate", "0", CVAR_COMPAT);
cvar_t host_speeds_compat ("host_speeds", "0", CVAR_COMPAT);
cvar_t sys_ticrate_compat ("sys_ticrate", "0", CVAR_COMPAT);
cvar_t serverprofile_compat ("serverprofile", "0", CVAR_COMPAT);
cvar_t fraglimit_compat ("fraglimit", "0", CVAR_COMPAT);
cvar_t timelimit_compat ("timelimit", "0", CVAR_COMPAT);
cvar_t teamplay_compat ("teamplay", "0", CVAR_COMPAT);
cvar_t samelevel_compat ("samelevel", "0", CVAR_COMPAT);
cvar_t noexit_compat ("noexit", "0", CVAR_COMPAT);
cvar_t developer_compat ("developer", "0", CVAR_COMPAT);
cvar_t skill_compat ("skill", "0", CVAR_COMPAT);
cvar_t deathmatch_compat ("deathmatch", "0", CVAR_COMPAT);
cvar_t coop_compat ("coop", "0", CVAR_COMPAT);
cvar_t pausable_compat ("pausable", "0", CVAR_COMPAT);
cvar_t temp1_compat ("temp1", "0", CVAR_COMPAT);
cvar_t m_filter_compat ("m_filter", "0", CVAR_COMPAT);
cvar_t in_joystick_compat ("joystick", "0", CVAR_COMPAT);
cvar_t joy_name_compat ("joyname", "0", CVAR_COMPAT);
cvar_t joy_advanced_compat ("joyadvanced", "0", CVAR_COMPAT);
cvar_t joy_advaxisx_compat ("joyadvaxisx", "0", CVAR_COMPAT);
cvar_t joy_advaxisy_compat ("joyadvaxisy", "0", CVAR_COMPAT);
cvar_t joy_advaxisz_compat ("joyadvaxisz", "0", CVAR_COMPAT);
cvar_t joy_advaxisr_compat ("joyadvaxisr", "0", CVAR_COMPAT);
cvar_t joy_advaxisu_compat ("joyadvaxisu", "0", CVAR_COMPAT);
cvar_t joy_advaxisv_compat ("joyadvaxisv", "0", CVAR_COMPAT);
cvar_t joy_forwardthreshold_compat ("joyforwardthreshold", "0", CVAR_COMPAT);
cvar_t joy_sidethreshold_compat ("joysidethreshold", "0", CVAR_COMPAT);
cvar_t joy_pitchthreshold_compat ("joypitchthreshold", "0", CVAR_COMPAT);
cvar_t joy_yawthreshold_compat ("joyyawthreshold", "0", CVAR_COMPAT);
cvar_t joy_forwardsensitivity_compat ("joyforwardsensitivity", "0", CVAR_COMPAT);
cvar_t joy_sidesensitivity_compat ("joysidesensitivity", "0", CVAR_COMPAT);
cvar_t joy_pitchsensitivity_compat ("joypitchsensitivity", "0", CVAR_COMPAT);
cvar_t joy_yawsensitivity_compat ("joyyawsensitivity", "0", CVAR_COMPAT);
cvar_t joy_wwhack1_compat ("joywwhack1", "0", CVAR_COMPAT);
cvar_t joy_wwhack2_compat ("joywwhack2", "0", CVAR_COMPAT);
cvar_t net_messagetimeout_compat ("net_messagetimeout", "0", CVAR_COMPAT);
cvar_t hostname_compat ("hostname", "0", CVAR_COMPAT);
cvar_t config_com_port_compat ("_config_com_port", "0", CVAR_COMPAT);
cvar_t config_com_irq_compat ("_config_com_irq", "0", CVAR_COMPAT);
cvar_t config_com_baud_compat ("_config_com_baud", "0", CVAR_COMPAT);
cvar_t config_com_modem_compat ("_config_com_modem", "0", CVAR_COMPAT);
cvar_t config_modem_dialtype_compat ("_config_modem_dialtype", "0", CVAR_COMPAT);
cvar_t config_modem_clear_compat ("_config_modem_clear", "0", CVAR_COMPAT);
cvar_t config_modem_init_compat ("_config_modem_init", "0", CVAR_COMPAT);
cvar_t config_modem_hangup_compat ("_config_modem_hangup", "0", CVAR_COMPAT);
cvar_t idgods_compat ("idgods", "0", CVAR_COMPAT);
cvar_t sv_aim_compat ("sv_aim", "0", CVAR_COMPAT);
cvar_t nomonsters_compat ("nomonsters", "0", CVAR_COMPAT);
cvar_t gamecfg_compat ("gamecfg", "0", CVAR_COMPAT);
cvar_t scratch1_compat ("scratch1", "0", CVAR_COMPAT);
cvar_t scratch2_compat ("scratch2", "0", CVAR_COMPAT);
cvar_t scratch3_compat ("scratch3", "0", CVAR_COMPAT);
cvar_t scratch4_compat ("scratch4", "0", CVAR_COMPAT);
cvar_t savedgamecfg_compat ("savedgamecfg", "0", CVAR_COMPAT);
cvar_t saved1_compat ("saved1", "0", CVAR_COMPAT);
cvar_t saved2_compat ("saved2", "0", CVAR_COMPAT);
cvar_t saved3_compat ("saved3", "0", CVAR_COMPAT);
cvar_t saved4_compat ("saved4", "0", CVAR_COMPAT);
cvar_t r_timegraph_compat ("r_timegraph", "0", CVAR_COMPAT);
cvar_t r_graphheight_compat ("r_graphheight", "0", CVAR_COMPAT);
cvar_t r_clearcolor_compat ("r_clearcolor", "0", CVAR_COMPAT);
cvar_t r_waterwarp_compat ("r_waterwarp", "0", CVAR_COMPAT);
cvar_t r_aliasstats_compat ("r_polymodelstats", "0", CVAR_COMPAT);
cvar_t r_dspeeds_compat ("r_dspeeds", "0", CVAR_COMPAT);
cvar_t r_drawflat_compat ("r_drawflat", "0", CVAR_COMPAT);
cvar_t r_ambient_compat ("r_ambient", "0", CVAR_COMPAT);
cvar_t r_reportsurfout_compat ("r_reportsurfout", "0", CVAR_COMPAT);
cvar_t r_maxsurfs_compat ("r_maxsurfs", "0", CVAR_COMPAT);
cvar_t r_numsurfs_compat ("r_numsurfs", "0", CVAR_COMPAT);
cvar_t r_reportedgeout_compat ("r_reportedgeout", "0", CVAR_COMPAT);
cvar_t r_maxedges_compat ("r_maxedges", "0", CVAR_COMPAT);
cvar_t r_numedges_compat ("r_numedges", "0", CVAR_COMPAT);
cvar_t r_aliastransbase_compat ("r_aliastransbase", "0", CVAR_COMPAT);
cvar_t r_aliastransadj_compat ("r_aliastransadj", "0", CVAR_COMPAT);
cvar_t bgmvolume_compat ("bgmvolume", "0", CVAR_COMPAT);
cvar_t volume_compat ("volume", "0", CVAR_COMPAT);
cvar_t nosound_compat ("nosound", "0", CVAR_COMPAT);
cvar_t precache_compat ("precache", "0", CVAR_COMPAT);
cvar_t loadas8bit_compat ("loadas8bit", "0", CVAR_COMPAT);
cvar_t bgmbuffer_compat ("bgmbuffer", "0", CVAR_COMPAT);
cvar_t ambient_level_compat ("ambient_level", "0", CVAR_COMPAT);
cvar_t ambient_fade_compat ("ambient_fade", "0", CVAR_COMPAT);
cvar_t snd_noextraupdate_compat ("snd_noextraupdate", "0", CVAR_COMPAT);
cvar_t snd_show_compat ("snd_show", "0", CVAR_COMPAT);
cvar_t _snd_mixahead_compat ("_snd_mixahead", "0", CVAR_COMPAT);
cvar_t sv_friction_compat ("sv_friction", "0", CVAR_COMPAT);
cvar_t sv_stopspeed_compat ("sv_stopspeed", "0", CVAR_COMPAT);
cvar_t sv_gravity_compat ("sv_gravity", "0", CVAR_COMPAT);
cvar_t sv_maxvelocity_compat ("sv_maxvelocity", "0", CVAR_COMPAT);
cvar_t sv_nostep_compat ("sv_nostep", "0", CVAR_COMPAT);
cvar_t sv_edgefriction_compat ("edgefriction", "0", CVAR_COMPAT);
cvar_t sv_idealpitchscale_compat ("sv_idealpitchscale", "0", CVAR_COMPAT);
cvar_t sv_maxspeed_compat ("sv_maxspeed", "0", CVAR_COMPAT);
cvar_t sv_accelerate_compat ("sv_accelerate", "0", CVAR_COMPAT);
cvar_t vid_fullscreen_mode_compat ("vid_fullscreen_mode", "0", CVAR_COMPAT);
cvar_t vid_windowed_mode_compat ("vid_windowed_mode", "0", CVAR_COMPAT);
cvar_t block_switch_compat ("block_switch", "0", CVAR_COMPAT);
cvar_t vid_window_x_compat ("vid_window_x", "0", CVAR_COMPAT);
cvar_t vid_window_y_compat ("vid_window_y", "0", CVAR_COMPAT);
cvar_t lcd_x_compat ("lcd_x", "0", CVAR_COMPAT);
cvar_t lcd_yaw_compat ("lcd_yaw", "0", CVAR_COMPAT);
cvar_t scr_ofsx_compat ("scr_ofsx", "0", CVAR_COMPAT);
cvar_t scr_ofsy_compat ("scr_ofsy", "0", CVAR_COMPAT);
cvar_t scr_ofsz_compat ("scr_ofsz", "0", CVAR_COMPAT);
cvar_t cl_rollspeed_compat ("cl_rollspeed", "0", CVAR_COMPAT);
cvar_t cl_rollangle_compat ("cl_rollangle", "0", CVAR_COMPAT);
cvar_t cl_bob_compat ("cl_bob", "0", CVAR_COMPAT);
cvar_t cl_bobcycle_compat ("cl_bobcycle", "0", CVAR_COMPAT);
cvar_t cl_bobup_compat ("cl_bobup", "0", CVAR_COMPAT);
cvar_t v_kicktime_compat ("v_kicktime", "0", CVAR_COMPAT);
cvar_t v_kickroll_compat ("v_kickroll", "0", CVAR_COMPAT);
cvar_t v_kickpitch_compat ("v_kickpitch", "0", CVAR_COMPAT);
cvar_t v_iyaw_cycle_compat ("v_iyaw_cycle", "0", CVAR_COMPAT);
cvar_t v_iroll_cycle_compat ("v_iroll_cycle", "0", CVAR_COMPAT);
cvar_t v_ipitch_cycle_compat ("v_ipitch_cycle", "0", CVAR_COMPAT);
cvar_t v_iyaw_level_compat ("v_iyaw_level", "0", CVAR_COMPAT);
cvar_t v_iroll_level_compat ("v_iroll_level", "0", CVAR_COMPAT);
cvar_t v_ipitch_level_compat ("v_ipitch_level", "0", CVAR_COMPAT);
cvar_t v_idlescale_compat ("v_idlescale", "0", CVAR_COMPAT);
cvar_t crosshair_compat ("crosshair", "0", CVAR_COMPAT);
cvar_t cl_crossx_compat ("cl_crossx", "0", CVAR_COMPAT);
cvar_t cl_crossy_compat ("cl_crossy", "0", CVAR_COMPAT);
cvar_t gl_cshiftpercent_compat ("gl_cshiftpercent", "0", CVAR_COMPAT);
cvar_t v_centermove_compat ("v_centermove", "0", CVAR_COMPAT);
cvar_t v_centerspeed_compat ("v_centerspeed", "0", CVAR_COMPAT);
cvar_t v_gamma_compat ("gamma", "0", CVAR_COMPAT);
cvar_t vid_stretch_by_2_compat ("vid_stretch_by_2", "0", CVAR_COMPAT);

// compatiblity commands
// if an incoming registered command has the same name we replace the function
// if one of these has the same name as a previous command we ignore it.
cmd_t compatcmd_1 ("cd", NULL);
cmd_t compatcmd_2 ("+moveup", NULL);
cmd_t compatcmd_3 ("-moveup", NULL);
cmd_t compatcmd_4 ("+movedown", NULL);
cmd_t compatcmd_5 ("-movedown", NULL);
cmd_t compatcmd_6 ("+left", NULL);
cmd_t compatcmd_7 ("-left", NULL);
cmd_t compatcmd_8 ("+right", NULL);
cmd_t compatcmd_9 ("-right", NULL);
cmd_t compatcmd_10 ("+forward", NULL);
cmd_t compatcmd_11 ("-forward", NULL);
cmd_t compatcmd_12 ("+back", NULL);
cmd_t compatcmd_13 ("-back", NULL);
cmd_t compatcmd_14 ("+lookup", NULL);
cmd_t compatcmd_15 ("-lookup", NULL);
cmd_t compatcmd_16 ("+lookdown", NULL);
cmd_t compatcmd_17 ("-lookdown", NULL);
cmd_t compatcmd_18 ("+strafe", NULL);
cmd_t compatcmd_19 ("-strafe", NULL);
cmd_t compatcmd_20 ("+moveleft", NULL);
cmd_t compatcmd_21 ("-moveleft", NULL);
cmd_t compatcmd_22 ("+moveright", NULL);
cmd_t compatcmd_23 ("-moveright", NULL);
cmd_t compatcmd_24 ("+speed", NULL);
cmd_t compatcmd_25 ("-speed", NULL);
cmd_t compatcmd_26 ("+attack", NULL);
cmd_t compatcmd_27 ("-attack", NULL);
cmd_t compatcmd_28 ("+use", NULL);
cmd_t compatcmd_29 ("-use", NULL);
cmd_t compatcmd_30 ("+jump", NULL);
cmd_t compatcmd_31 ("-jump", NULL);
cmd_t compatcmd_32 ("impulse", NULL);
cmd_t compatcmd_33 ("+klook", NULL);
cmd_t compatcmd_34 ("-klook", NULL);
cmd_t compatcmd_35 ("+mlook", NULL);
cmd_t compatcmd_36 ("-mlook", NULL);
cmd_t compatcmd_37 ("entities", NULL);
cmd_t compatcmd_38 ("disconnect", NULL);
cmd_t compatcmd_39 ("record", NULL);
cmd_t compatcmd_40 ("stop", NULL);
cmd_t compatcmd_41 ("playdemo", NULL);
cmd_t compatcmd_42 ("timedemo", NULL);
cmd_t compatcmd_43 ("stuffcmds", NULL);
cmd_t compatcmd_44 ("exec", NULL);
cmd_t compatcmd_45 ("echo", NULL);
cmd_t compatcmd_46 ("alias", NULL);
cmd_t compatcmd_47 ("cmd", NULL);
cmd_t compatcmd_48 ("wait", NULL);
cmd_t compatcmd_49 ("path", NULL);
cmd_t compatcmd_50 ("toggleconsole", NULL);
cmd_t compatcmd_51 ("messagemode", NULL);
cmd_t compatcmd_52 ("messagemode2", NULL);
cmd_t compatcmd_53 ("clear", NULL);
cmd_t compatcmd_54 ("gl_texturemode", NULL);
cmd_t compatcmd_55 ("timerefresh", NULL);
cmd_t compatcmd_56 ("envmap", NULL);
cmd_t compatcmd_57 ("pointfile", NULL);
cmd_t compatcmd_58 ("screenshot", NULL);
cmd_t compatcmd_59 ("sizeup", NULL);
cmd_t compatcmd_60 ("sizedown", NULL);
cmd_t compatcmd_61 ("vid_nummodes", NULL);
cmd_t compatcmd_62 ("vid_describecurrentmode", NULL);
cmd_t compatcmd_63 ("vid_describemode", NULL);
cmd_t compatcmd_64 ("vid_describemodes", NULL);
cmd_t compatcmd_65 ("status", NULL);
cmd_t compatcmd_66 ("quit", NULL);
cmd_t compatcmd_67 ("god", NULL);
cmd_t compatcmd_68 ("notarget", NULL);
cmd_t compatcmd_69 ("fly", NULL);
cmd_t compatcmd_70 ("map", NULL);
cmd_t compatcmd_71 ("restart", NULL);
cmd_t compatcmd_72 ("changelevel", NULL);
cmd_t compatcmd_73 ("changelevel2", NULL);
cmd_t compatcmd_74 ("connect", NULL);
cmd_t compatcmd_75 ("reconnect", NULL);
cmd_t compatcmd_76 ("name", NULL);
cmd_t compatcmd_77 ("noclip", NULL);
cmd_t compatcmd_78 ("version", NULL);
cmd_t compatcmd_79 ("please", NULL);
cmd_t compatcmd_80 ("say", NULL);
cmd_t compatcmd_81 ("say_team", NULL);
cmd_t compatcmd_82 ("tell", NULL);
cmd_t compatcmd_83 ("color", NULL);
cmd_t compatcmd_84 ("kill", NULL);
cmd_t compatcmd_85 ("pause", NULL);
cmd_t compatcmd_86 ("spawn", NULL);
cmd_t compatcmd_87 ("begin", NULL);
cmd_t compatcmd_88 ("prespawn", NULL);
cmd_t compatcmd_89 ("kick", NULL);
cmd_t compatcmd_90 ("ping", NULL);
cmd_t compatcmd_91 ("load", NULL);
cmd_t compatcmd_92 ("save", NULL);
cmd_t compatcmd_93 ("give", NULL);
cmd_t compatcmd_94 ("startdemos", NULL);
cmd_t compatcmd_95 ("demos", NULL);
cmd_t compatcmd_96 ("stopdemo", NULL);
cmd_t compatcmd_97 ("viewmodel", NULL);
cmd_t compatcmd_98 ("viewframe", NULL);
cmd_t compatcmd_99 ("viewnext", NULL);
cmd_t compatcmd_100 ("viewprev", NULL);
cmd_t compatcmd_101 ("mcache", NULL);
cmd_t compatcmd_102 ("force_centerview", NULL);
cmd_t compatcmd_103 ("joyadvancedupdate", NULL);
cmd_t compatcmd_104 ("bind", NULL);
cmd_t compatcmd_105 ("unbind", NULL);
cmd_t compatcmd_106 ("unbindall", NULL);
cmd_t compatcmd_107 ("togglemenu", NULL);
cmd_t compatcmd_108 ("menu_main", NULL);
cmd_t compatcmd_109 ("menu_singleplayer", NULL);
cmd_t compatcmd_110 ("menu_load", NULL);
cmd_t compatcmd_111 ("menu_save", NULL);
cmd_t compatcmd_112 ("menu_multiplayer", NULL);
cmd_t compatcmd_113 ("menu_setup", NULL);
cmd_t compatcmd_114 ("menu_options", NULL);
cmd_t compatcmd_115 ("menu_keys", NULL);
cmd_t compatcmd_116 ("menu_video", NULL);
cmd_t compatcmd_117 ("help", NULL);
cmd_t compatcmd_118 ("menu_quit", NULL);
cmd_t compatcmd_119 ("net_stats", NULL);
cmd_t compatcmd_120 ("ban", NULL);
cmd_t compatcmd_121 ("test", NULL);
cmd_t compatcmd_122 ("test2", NULL);
cmd_t compatcmd_123 ("slist", NULL);
cmd_t compatcmd_124 ("listen", NULL);
cmd_t compatcmd_125 ("maxplayers", NULL);
cmd_t compatcmd_126 ("port", NULL);
cmd_t compatcmd_127 ("edict", NULL);
cmd_t compatcmd_128 ("edicts", NULL);
cmd_t compatcmd_129 ("edictcount", NULL);
cmd_t compatcmd_130 ("profile", NULL);
cmd_t compatcmd_131 ("timerefresh", NULL);
cmd_t compatcmd_132 ("pointfile", NULL);
cmd_t compatcmd_133 ("+showscores", NULL);
cmd_t compatcmd_134 ("-showscores", NULL);
cmd_t compatcmd_135 ("screenshot", NULL);
cmd_t compatcmd_136 ("sizeup", NULL);
cmd_t compatcmd_137 ("sizedown", NULL);
cmd_t compatcmd_138 ("play", NULL);
cmd_t compatcmd_139 ("playvol", NULL);
cmd_t compatcmd_140 ("stopsound", NULL);
cmd_t compatcmd_141 ("soundlist", NULL);
cmd_t compatcmd_142 ("soundinfo", NULL);
cmd_t compatcmd_143 ("vid_testmode", NULL);
cmd_t compatcmd_144 ("vid_nummodes", NULL);
cmd_t compatcmd_145 ("vid_describecurrentmode", NULL);
cmd_t compatcmd_146 ("vid_describemode", NULL);
cmd_t compatcmd_147 ("vid_describemodes", NULL);
cmd_t compatcmd_148 ("vid_forcemode", NULL);
cmd_t compatcmd_149 ("vid_windowed", NULL);
cmd_t compatcmd_150 ("vid_fullscreen", NULL);
cmd_t compatcmd_151 ("vid_minimize", NULL);
cmd_t compatcmd_152 ("v_cshift", NULL);
cmd_t compatcmd_153 ("bf", NULL);
cmd_t compatcmd_154 ("centerview", NULL);
cmd_t compatcmd_155 ("hunk_report", NULL);
cmd_t compatcmd_156 ("cache_flush", NULL);
